﻿using System;
using System.Configuration;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace DisplayFeatureTootip
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer statesLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/states.shp"));
                statesLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.State1;
                statesLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(statesLayer);

                ShapeFileFeatureLayer waterLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/UtahWater.shp"));
                waterLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Water1;
                waterLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(waterLayer);

                Map1.CurrentExtent = Map1.StaticOverlay.GetBoundingBox();
            }
        }

        protected void LinkButton1_Click(object sender, EventArgs e)
        {
            Session["LayerName"] = "state";
        }
    }
}
