﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace DisplayFeatureTootip
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                string layerName = Request.QueryString["Name"];
                if (null != Session["LayerName"])
                {
                    layerName = Session["LayerName"].ToString();
                }

                string strServerLocation = string.Empty;
                if (layerName == "state")
                {
                    strServerLocation = MapPath("~/App_Data/states.shp");
                }
                else if (layerName == "water")
                {
                    strServerLocation = MapPath("~/App_Data/UtahWater.shp");
                }
                else
                {
                    return;
                }

                ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(strServerLocation);
                layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.State1;
                layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(layer);

                layer.Open();
                Map1.CurrentExtent = layer.GetBoundingBox();
                layer.Close();
            }
        }

        protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Map1.StaticOverlay.Layers.Clear();

            if (DropDownList1.SelectedItem.Value == "state")
            {
                ShapeFileFeatureLayer statesLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/states.shp"));
                statesLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                statesLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(statesLayer);

                statesLayer.Open();
                Map1.CurrentExtent = statesLayer.GetBoundingBox();
                statesLayer.Close();
            }
            else if (DropDownList1.SelectedItem.Value == "water")
            {
                ShapeFileFeatureLayer waterLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/UtahWater.shp"));
                waterLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                waterLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(waterLayer);

                waterLayer.Open();
                Map1.CurrentExtent = waterLayer.GetBoundingBox();
                waterLayer.Close();
            }
        }
    }
}
